<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:id="@+id/sleep_view_parent"
    android:orientation="vertical"
    android:background="@drawable/shape_sleep_bg_8dp_bottom"
    android:paddingBottom="24.5dp"
    android:paddingLeft="16dp"
    android:paddingRight="16dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_25"
        android:orientation="horizontal"
        >
        <TextView
            android:id="@+id/mSleepTime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:textColor="@color/black"
            android:textSize="17sp"
            android:textStyle="bold"
            android:text="0小时0分"
            android:layout_gravity="left"/>
        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1"/>
        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="1.5dp"
            android:background="@drawable/shape_deep_sleep" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="深睡"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13"
            android:layout_marginRight="11.5dp"
            />
        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center"
            android:layout_marginRight="1.5dp"
            android:background="@drawable/shape_light_sleep" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="浅睡"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13"
            android:layout_marginRight="11.5dp"
            />



        <ImageView
            android:layout_width="@dimen/dp_8"
            android:layout_height="@dimen/dp_8"
            android:layout_gravity="center_vertical"
            android:layout_marginRight="1.5dp"
            android:background="@drawable/shape_sober_sleep" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="清醒"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_13" />

    </LinearLayout>

    <TextView
        android:id="@+id/mDesc"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_20"
        android:gravity="center|right"
        android:textColor="@color/col_919"
        android:visibility="gone" />

    <com.xty.common.weight.SleepInfoView
        android:id="@+id/mSLeepShow"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_200"
        android:layout_marginTop="@dimen/dp_20"
        app:sleep_text="@dimen/dp_16"
        android:visibility="visible"/>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:id="@+id/mStartAndEnd">

        <TextView
            android:id="@+id/mStart"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=""
            android:textStyle="bold"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_12" />

        <TextView
            android:id="@+id/mEnd"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:text=""
            android:textStyle="bold"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_12" />
    </RelativeLayout>

</LinearLayout>
